<html>
    <head>
<title>
    pagina de saludo
</title>
    <head>
<script type="text/javascript">
function saludo(){
    alert("Saludos bienvenidos")
}
function escribir(){
    console.log("Hola mundo")
    lista=["Matias","ds","ariel"];
    lista.forEach(element => {
        console.log(element)
      lista.sort();
      console.log(lista);
      lista.reverse();
      console.log(lista);     
    });
}

</script>
    </head>
    
    <body>
        <p>Ejemplo para seleccionar un archivo con JS</p>
        <p>segundo parrafo</p>
        <h2>Cabecera</h2>
        <p>seleccione un archivo</p>
        <input type="file" id=archivoTexto><br><br>
       <textarea name="contenido" id="contenido" cols="60" rows="20"></textarea> 
       <script>
           function abrirArchivo (evento){

            let archivo=evento.target.files[0];
            if(archivo)
            {
                let reader = new FileReader()
                reader.onload=function(e){
                    let contenido=e.target.result;
                    document.getElementById("contenido").innerText=contenido;
                };
                    reader.readAsText(archivo)

            }
            else{
                document.getElementById("mensajes").innerText="no ha seleccionado"
              }
             }
           window.addEventListener("load",()=>{
               document.getElementById("archivoTexto").addEventListener("change",abrirArchivo)
           })
    </script>
   
    </body>


</html>
